module counter (in, out);
input  in;
output  out; 


reg [18:0]out;
wire out_;

integer count = 0;
always @ (in)
begin
       count = count + 1;
if (count < 1500 )
   out = 1;
   else
    out = 0;
    end
endmodule
